/*  КАЛИБРОВОЧНЫЙ СКЕТЧ ДЛЯ ДРОЙДИКА ИЛИ ШАГАЮЩЕГО РОБОТА:
 *  ======================================================
 *  Если левая  нога стоит не прямо,           то нажмите 1-поворот ноги влево, или 2-поворот ноги вправо.
 *  Если правая нога стоит не прямо,           то нажмите 3-поворот ноги влево, или 4-поворот ноги вправо.
 *  Если левая  ступня стоит не горизонтально, то нажмите 5-наклон  ноги влево, или 6-наклон  ноги вправо.
 *  Если правая ступня стоит не горизонтально, то нажмите 7-наклон  ноги влево, или 8-наклон  ноги вправо.
 *  Для отправки введённой цифры нужно нажать на Enter.
 *  Если ввести цифру несколько раз ,например, 11111, а потом нажать на Enter, то угол сервопривода измениться на столько градусов, сколько раз введена цифра.
 *  Если ввести любую букву, цифру 9 или 0, то значения углов сервоприводов останутся прежними, но отобразятся в мониторе последовательного порта.
 */
#include      <Servo.h>         //  Подключаем библиотеку для работы с сервоприводами
//            Определяем номера выводов:
const uint8_t pinLeftTop  = 4;  //  Значение должно совпадать со значением одноимённой константы основного скетча
const uint8_t pinRightTop = 5;  //  Значение должно совпадать со значением одноимённой константы основного скетча
const uint8_t pinLeftBot  = 6;  //  Значение должно совпадать со значением одноимённой константы основного скетча
const uint8_t pinRightBot = 7;  //  Значение должно совпадать со значением одноимённой константы основного скетча
//            Создаём переменные и объекты для сервоприводов
uint8_t       cenLeftTop=100, cenRightTop=80, cenLeftBot=60, cenRightBot=120;
Servo         serLeftTop    , serRightTop   , serLeftBot   , serRightBot;
void setup(){
    Serial.begin(9600); Serial.println("CALIBRATION SKETCH:\r\nPlease input a number and press Enter ...\r\n=========================================");
//  Указываем объектам сервоприводов их выводы и устанавливаем сервоприводы в начальные положения:
    serLeftTop. attach(pinLeftTop);  serLeftTop. write(cenLeftTop);
    serRightTop.attach(pinRightTop); serRightTop.write(cenRightTop);
    serLeftBot. attach(pinLeftBot);  serLeftBot. write(cenLeftBot);
    serRightBot.attach(pinRightBot); serRightBot.write(cenRightBot);
}
void loop(){
  if(Serial.available()>0){
    while(Serial.available()){switch(Serial.read()){
    case '1': cenLeftTop--; break; case '3': cenRightTop--; break; case '5': cenLeftBot--; break; case '7': cenRightBot--; break;
    case '2': cenLeftTop++; break; case '4': cenRightTop++; break; case '6': cenLeftBot++; break; case '8': cenRightBot++; break;
    }delay(10);}
    if(cenLeftTop >180){cenLeftTop =180;} Serial.println((String) "cenLeftTop  = " + cenLeftTop  + ";\t\t//  Servo Left  Top    (press 1 or 2)"); serLeftTop. write(cenLeftTop);
    if(cenRightTop>180){cenRightTop=180;} Serial.println((String) "cenRightTop = " + cenRightTop + ";\t\t//  Servo Right Top    (press 3 or 4)"); serRightTop.write(cenRightTop);
    if(cenLeftBot >180){cenLeftBot =180;} Serial.println((String) "cenLeftBot  = " + cenLeftBot  + ";\t\t//  Servo Left  Bottom (press 5 or 6)"); serLeftBot. write(cenLeftBot);
    if(cenRightBot>180){cenRightBot=180;} Serial.println((String) "cenRightBot = " + cenRightBot + ";\t\t//  Servo Right Bottom (press 7 or 8)"); serRightBot.write(cenRightBot);
    Serial.println("---------------------------------------------------------------------");
  }
}
